summaryrefslogtreecommitdiff
path: root/external/gpl2/diffutils/diffutils2netbsd
diff options
context:
space:
mode:
authorchristos <christos@NetBSD.org>2016-01-13 03:39:27 +0000
committerchristos <christos@NetBSD.org>2016-01-13 03:39:27 +0000
commit5716a8f5bd2dd520771ea27c84a6f9dac453b647 (patch)
tree089574b21a27b581cfbc7297407b9b53ac4fceaf /external/gpl2/diffutils/diffutils2netbsd
parenteec8fc77c4e0eb79f8d0dce344cf1200ede12bfe (diff)
merge conflicts, new reach-over Makefiles
Diffstat (limited to 'external/gpl2/diffutils/diffutils2netbsd')
-rwxr-xr-xexternal/gpl2/diffutils/diffutils2netbsd77
1 files changed, 77 insertions, 0 deletions
diff --git a/external/gpl2/diffutils/diffutils2netbsd b/external/gpl2/diffutils/diffutils2netbsd
new file mode 100755
index 00000000000..b661a41dc2c
--- /dev/null
+++ b/external/gpl2/diffutils/diffutils2netbsd
@@ -0,0 +1,77 @@
+#! /bin/sh
+#
+# $NetBSD: diffutils2netbsd,v 1.1 2016/01/13 03:39:28 christos Exp $
+#
+# Copyright (c) 2003 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+# diffutils2netbsd: convert an diffutils source tree into a
+# format suitable for commit. Works on current dir.
+#
+
+if [ ! -d "$1" ]; then exit 1; fi
+cd "$1"
+# delete some superfluous files
+echo deleting some superfluous files
+rm -rf ms
+
+echo done
+
+### Remove the $'s around RCS tags
+cleantags .
+
+### Add our NetBSD RCS Id
+find . -type f -name '*.[chly]' -print | while read c; do
+ sed 1q < $c | grep -q '\$NetBSD' || (
+echo "/* \$NetBSD\$ */" >/tmp/diffutils3$$
+echo "" >>/tmp/diffutils3$$
+cat $c >> /tmp/diffutils3$$
+mv /tmp/diffutils3$$ $c && echo added NetBSD RCS tag to $c
+ )
+done
+
+find . -type f -name '*.[0-9]' -print | while read m; do
+ sed 1q < $m | grep -q '\$NetBSD' || (
+echo ".\\\" \$NetBSD\$" >/tmp/diffutils4$$
+echo ".\\\"" >>/tmp/diffutils4$$
+cat $m >> /tmp/diffutils4$$
+mv /tmp/diffutils4$$ $m && echo added NetBSD RCS tag to $m
+ )
+done
+
+find . -type f -name '*.texi' -print | while read t; do
+ sed "2 s/^/@c \$NetBSD\$\\
+/" < $t > /tmp/diffutils5$$
+ mv /tmp/diffutils5$$ $t && echo added NetBSD RCS tag to $t
+done
+
+echo done
+
+cat << EOF
+You can import now using
+
+cvs -d cvs.netbsd.org:/cvsroot import src/external/gpl2/diffutils/dist FSF diffutils-X-Y
+_EOF
+
+exit 0